#include "colors.inc"
#include "shapes.inc"

camera{
 location<2.5,2.5,-2.5>
 look_at<0,0,0>
}

light_source{<0,10,-10> color White}
light_source{<0,10,0> color White}

difference{
difference{
union{
   object{
     Disk_Y
     scale<1,0.9,1>
     pigment{color Cyan}
   }
   object{
      Disk_X
      scale<0.5,0.2,0.2>
      translate<-1.2,0.4,0>
      pigment{color Green}
   }
}
   object{
     Disk_Y
     scale<0.9,0.91,0.9>
     translate<0,0.15,0>
     pigment{color Yellow}
   }
   object{
      Disk_X
      scale<0.6,0.18,0.18>
      translate<-1.2,0.4,0>
      pigment{color Green}
   }
    rotate<0,-80,0>
   }
   object{
     Cube
     pigment{color Blue}
     scale 20
     translate<-20,0,0>
     rotate<0,190,0>
   }
rotate<0,20,0>
}    

background{color White}